;;   Matlab-interface
;;   Copyright (c) 2002 Sebastian Seidel

;;   This library is free software; you can redistribute it and/or
;;   modify it under the terms of the GNU Lesser General Public
;;   License as published by the Free Software Foundation; either
;;   version 2.1 of the License, or (at your option) any later version.

;;   This library is distributed in the hope that it will be useful,
;;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;   Lesser General Public License for more details.

;;   You should have received a copy of the GNU Lesser General Public
;;   License along with this library; if not, write to the Free Software
;;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
;;   Contact me by mail: Sebastian.H.Seidel@med.uni-giessen.de

;;   ----------------------------------------------------------------------

;;   This file - primitive.ss - provides dummy-procedures that are called
;;   as long as 'primitive.c' is not yet compiled to an extension-program.
;;   It's only purpose is to tell the user that he should finish the
;;   installation-process.

;;   --------------------------------------------------------------------

;;   Use matlab-interface to control matlab (www.mathworks.com) via 
;;   interprocess-communication from within the fantastic open-source 
;;   scheme-interpreters/compilers mzscheme and drscheme that are 
;;   distributed by plt (www.plt-scheme.org).

;;   ----------------------------------------------------------------------

;;   First-edition:    2002-11-08  SSeidel
;;   Latest-revision:  2002-11-08  SSeidel


(module primitive mzscheme
  
  (provide (all-defined))

  (define msg
    (lambda args
      (display "
+------------------------------------------+
|  <<<<<<    Matlab - Interface    >>>>>>  |
+------------------------------------------+

Please finish the installation!

All files are in place now. The only remaining task is
to install - compile and link - the extension-program.

ATTENTION: The documentation of the matlab-interface
           describes how to go on. Please procede with
           step (2) of the installation.

Look for the documentation at those locations:

   - matlab-interface/doc.txt
   - plt-help-desk
   - www.biont.org

Good luck!

For questions, proposals, laudatio and critisism
mail to: Sebastian.H.Seidel@med.uni-giessen.de


")))

  (msg)

  ;; Make Array
  (define make-cell-array  msg)
  (define make-char-array  msg)
  (define make-array       msg)
  (define array-clone      msg)

  ;; array-name -rank -size -shape -set! -ref and -fill!
  (define array-name       msg)
  (define array-rank       msg)
  (define array-size       msg)
  (define array-shape      msg)
  (define array-set!       msg)
  (define array-ref        msg)
  (define array-fill!      msg)

  ;; Array-type and complexity
  (define array-type       msg)
  (define array-complexity msg)
  
  ;; Predicates
  (define array?           msg)
  (define empty-array?     msg)  
  (define real-array?      msg)  
  (define complex-array?   msg)
  (define cell-array?      msg)
  (define char-array?      msg)  
  (define double-array?    msg)  
  (define int32-array?     msg)  
  (define numeric-array?   msg)

  ;; Communicate with matlab-'engine'-process
  (define engine-open      msg)
  (define engine-close     msg)
  (define engine-eval      msg)
  (define engine-put       msg)
  (define engine-get       msg)
 
  ;; Convert string<->array vector<->array object<->array
  (define array->string    msg)
  (define string->array    msg)
  (define array->vector    msg)
  (define vector->array    msg)
  (define array->object    msg)
  (define object->array    msg)
  (define matrix->array    msg)
  (define array->matrix    msg)
  
  ;; Info
  (define print-matlab-array-info msg)
  )